name: geopython2025
channels:
  - conda-forge
dependencies:
  - pyopenssl>=20.0.1
  - python=3.11
  - requests>=2.25.1
  - altair
  - cartopy
  - contextily
  - descartes
  - earthpy
  - fiona
  - folium
  - gdal
  - geographiclib
  - datashader
  - dask
  - distributed
  - duckdb
  - xarray-spatial
  - geojson
  - geopandas
  - spatialpandas
  - geoplot
  - geopy
  - geos
  - geoviews
  - holoviews
  - hvplot
  #- leafmap
  - ipykernel
  - ipython
  #- ipyleaflet
  - ipywidgets
  - jupyter
  - jupyterlab
  - jupyter-cache
  #- jupyter_contrib_nbextensions
  - lonboard
  - matplotlib
  - numpy<1.25
  - numba
  - owslib
  - pooch
  - openpyxl
  - pandas
  - panel
  - pillow
  - proj
  - pydeck
  - pyproj
  - pyogrio
  - pyarrow
  - rasterio
  - rasterstats
  - seaborn
  - shapely
  - sqlalchemy
  - xarray
  - xvec
  - rioxarray
  - zarr
  - mapclassify
  - spopt
  - spreg
  - mgwr
  - esda
  - libpysal
  - networkx
  - osmnx
  - h3-py
  - wheel
  - setuptools
  - pip


